Bug 813807 - Jobs submitted from cumin through aviary show 'unknown' for enqueued column
Jobs submitted from cumin through aviary show 'unknown' for enqueued column
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-aviary (Show other bugs)
Development
All Linux
medium Severity medium
: 2.3
: ---
Assigned To: Pete MacKinnon
Martin Kudlej
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 09:17 EDT by Trevor McKay
Modified: 2013-03-06 13:43 EST (History)
7 users (show)

See Also:
Fixed In Version: condor-7.8.2-0.3
Doc Type: Bug Fix
Doc Text:
Cause: Submit a job through Aviary or QMF interface. Consequence: Qdate field shows value of zero (0). Fix: Submission and job implementation code in Aviary and QMF adjusted to ensure that a ATTR_Q_DATE variable set that arrives late is properly recorded. Result: Qdate field shows correct time value.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:43:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor McKay 2012-04-18 09:17:06 EDT
Description of problem:

For some reason dates in the enqueued column are showing up as 'unknown'.  Find out why.
Comment 2 Stanislav Graf 2012-04-20 07:28:33 EDT
Steps to Reproduce:

(1) Submit job from cumin through aviary
abc | /bin/sleep 360 | True | /tmp

(2) Look into Pool / Submissions
Enqueued - unknown

(3) Drill into Submission - Details
Enqueued - None

(4) Wait 360s -> job is completed

(5) Drill into Submission - Details
Enqueued - 2012-04-20 13:17:16

(6) Look into Pool / Submissions
Enqueued - 2012-04-20 13:17:16
Comment 3 Trevor McKay 2012-05-18 12:55:44 EDT
This *seems* to be an issue in the plugins.  Submitting through condor_submit gives us Submission objects with a non-zero QDate.  Submitting through the plugins gives us 0 values.

Retargeting.
Comment 5 Pete MacKinnon 2012-05-22 11:03:43 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Submit a job through Aviary or QMF interface.
Consequence: Qdate field shows value of zero (0).
Fix: Submission and job implementation code in Aviary and QMF adjusted to ensure that a ATTR_Q_DATE variable set that arrives late is properly recorded.
Result: Qdate field shows correct time value.
Comment 8 Martin Kudlej 2013-01-14 09:04:01 EST
Tested on RHEL 5.9/6.4 x i386/x86_64 with 
condor-7.8.8-0.3.el6.x86_64
condor-aviary-7.8.8-0.3.el6.x86_64
condor-classads-7.8.8-0.3.el6.x86_64
condor-qmf-7.8.8-0.3.el6.x86_64
condor-wallaby-base-db-1.25-1.el6_3.noarch
condor-wallaby-client-5.0.5-1.el6.noarch
condor-wallaby-tools-5.0.5-1.el6.noarch
cumin-0.1.5648-1.el6.noarch
python-condorutils-1.5-6.el6.noarch
python-qpid-0.18-4.el6.noarch
python-qpid-qmf-0.18-13.el6.x86_64
python-wallaby-0.16.3-1.el6.noarch
python-wallabyclient-5.0.5-1.el6.noarch
qpid-cpp-client-0.18-13.el6.x86_64
qpid-cpp-server-0.18-13.el6.x86_64
qpid-qmf-0.18-13.el6.x86_64
qpid-tools-0.18-7.el6_3.noarch
ruby-condor-wallaby-5.0.5-1.el6.noarch
ruby-qpid-qmf-0.18-13.el6.x86_64
ruby-wallaby-0.16.3-1.el6.noarch
wallaby-0.16.3-1.el6.noarch
wallaby-utils-0.16.3-1.el6.noarch

and it works. -->VERIFIED
Comment 10 errata-xmlrpc 2013-03-06 13:43:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.